import { s as styleInject, u as useViewHandler, T as Toggle } from './index-bbdfb97a.js';
import { observer } from 'mobx-react-lite';
import 'react';
import { useTranslation } from '@crystaldesign/diva-core';
import { jsx } from 'react/jsx-runtime';
import '@babel/runtime/helpers/defineProperty';
import 'react-dynamic-multi-render';
import '@babel/runtime/helpers/asyncToGenerator';
import '@babel/runtime/helpers/slicedToArray';
import '@babel/runtime/helpers/objectWithoutProperties';
import '@babel/runtime/regenerator';
import '@babel/runtime/helpers/classCallCheck';
import '@babel/runtime/helpers/createClass';
import '@babel/runtime/helpers/toConsumableArray';
import '@crystaldesign/diva-utils';
import 'mobx';
import '@crystaldesign/web-planner-logic';
import 'classnames';
import 'qrcode.react';
import '@babel/runtime/helpers/typeof';
import 'flat';
import 'react-switch';
import 'react-countup';

var wcConfigSingleDiv = "wcConfigSingleDiv-Vcdzw";
var text = "text-G0a6n";
var css_248z = ".wcConfigSingleDiv-Vcdzw {\n  min-height: 26px;\n  margin-top: 2px;\n  width: auto;\n  display: flex;\n  align-items: center;\n  justify-content: center;\n}\n\n.text-G0a6n {\n  font-size: 11px;\n  font-weight: 200;\n  color: #fff;\n  line-height: 26px;\n  width: 46px;\n}\n\n.text-G0a6n#yes {\n  padding-left: 22px;\n}\n\n.text-G0a6n#no {\n  transform: translateX(-12px);\n}\n";
styleInject(css_248z);

var SettingsConfigSingle = function SettingsConfigSingle(props) {
  var viewHandler = useViewHandler();
  var _useTranslation = useTranslation(),
    t = _useTranslation.t;
  var configSingleIsChanged = function configSingleIsChanged() {
    viewHandler.paletteViewHandler.configSingleIsChanged();
  };
  return /*#__PURE__*/jsx("div", {
    className: wcConfigSingleDiv,
    id: "wcConfigSingleCheckbox",
    title: viewHandler.settingsState.doConfigSingle ? t('configurator.configSingleExplanation') : t('configurator.configAllExplanation'),
    children: /*#__PURE__*/jsx(Toggle, {
      onChange: configSingleIsChanged,
      state: !viewHandler.settingsState.doConfigSingle,
      width: 76,
      height: 25,
      handleDiameter: 20,
      off: t('configurator.single'),
      on: t('configurator.all'),
      toggleTextClassName: text
    })
  });
};
var SettingsConfigSingle$1 = observer(SettingsConfigSingle);

export { SettingsConfigSingle$1 as default };
